/*
 * jnm_mediasystem.c
 *
 *  Created on: 08.07.2012
 *      Author: klausj
 */

#include <X11/Xlib.h>
#include <jni.h>
#include <jawt.h>
#include <jawt_md.h>
#include "jnm_mediasystem.h"

jweak exceptionClassRef;

JNIEXPORT void JNICALL Java_de_klausj_video_impl_gstreamer_GstVideoSystem_init(JNIEnv *env,jobject obj){
	int argc=0;
	char **argv[0];
	gst_init(&argc,argv);

	//gst_debug_set_active(TRUE);
	//gst_debug_add_log_function(jnm_log_function,NULL);

	jclass exceptionCls = (*env)->FindClass(env,
					"ips/media/NativeMediaSystemException");
			if (exceptionCls == NULL) {
				g_printerr("Could not find exception class\n");

			}
			exceptionClassRef = (*env)->NewWeakGlobalRef(env, exceptionCls);
}




